# Plugin repository CloudStudio

[![Build Status](https://travis-ci.org/cloudstudio/moodle-repository_cloudstudio.svg?branch=master)](https://travis-ci.org/cloudstudio/moodle-repository_cloudstudio)

The **CloudStudio File Repository** plugin simplifies the integration of files stored in CloudStudio directly into the Moodle platform. This plugin provides educators and administrators with a seamless, efficient way to access and use their files, such as videos, PDFs, images, and other content, directly from the Moodle File Picker. 

## Features
- **Direct Integration**: Access CloudStudio files directly within Moodle without manual file transfers.
- **Enhanced Workflow**: Quickly insert media and resources into any text editor or file upload area.
- **File Navigation**: Browse your CloudStudio-hosted files in an intuitive interface.
- **Streamlined User Experience**: Eliminate repetitive uploads, saving time and effort.

## How It Works
Once the **CloudStudio File Repository** plugin is activated, it appears as an option in the Moodle File Picker. Users can:
1. Open the File Picker within any text editor or file-uploadable area in Moodle.
2. Select the "CloudStudio" option.
3. Browse and choose the desired file directly from CloudStudio.
4. Insert the file seamlessly into the Moodle course or resource.

## Installation
1. Download the plugin from [GitHub](https://github.com/eadtech-moodle/moodle-repository_cloudstudio).
2. Extract the plugin into the `/repository/cloudstudio` directory of your Moodle installation.
3. Go to the **Site Administration** > **Plugins** > **Manage Repositories** in Moodle.
4. Enable the **CloudStudio File Repository** and configure the required settings.

## Requirements
- Moodle 3.9 or later.
- A CloudStudio account with files ready to access.

## Configuration
1. Navigate to **Site Administration** > **Plugins** > **Repositories** > **CloudStudio**.
2. Set up the API key or authentication credentials for CloudStudio.
3. Configure any additional settings as needed.

## Usage
- To use the CloudStudio File Repository:
  1. Open any text editor or file-upload field in Moodle.
  2. Click the **File Picker** icon.
  3. Choose **CloudStudio** from the repository list.
  4. Browse your CloudStudio files and select the desired item.
  5. Insert the file into your Moodle activity or resource.

## Support

- For issues or suggestions, use the **Issues** section on GitHub.
- Ensure the **moodle-mod_cloudstudio** module is installed and functioning correctly.

## License

This project is licensed under **GPL v3**. Refer to the [LICENSE](LICENSE) file for more details.

**Created by: [EadTech](https://github.com/eadtech-moodle)**  
Making learning more interactive! 🎓
